## matlab-mode 0~20240418.git0059543

=== Makefile ===
# Automatically Generated Makefile by EDE.
# For use with: make
# Relative File Name: Makefile
#
# DO NOT MODIFY THIS FILE OR YOUR CHANGES MAY BE LOST.
# EDE is the Emacs Development Environment.
# http://cedet.sourceforge.net/ede.shtml
#

top="$(CURDIR)"/
ede_FILES=Project.ede Makefile

EMACS=emacs
EMACSFLAGS=-batch --no-site-file --eval '(setq debug-on-error t)'
LOADPATH= ./
LOADDEFS=matlab-load.el
LOADDIRS=.
misc_MISC=ChangeLog ChangeLog.old1 ChangeLog.old2 INSTALL README dl_emacs_support.m
lisp_LISP=matlab-compat.el matlab-syntax.el matlab-scan.el matlab.el matlab-shell.el matlab-shell-gud.el matlab-netshell.el matlab-complete.el matlab-cgen.el matlab-publish.el matlab-topic.el mlint.el tlc.el linemark.el matlab-maint.el
cedet_LISP=semantic-matlab.el semanticdb-matlab.el srecode-matlab.el cedet-matlab.el company-matlab-shell.el
VERSION=4.0
DISTDIR=$(top)matlab-emacs-$(VERSION)



all: autoloads misc lisp cedet toolbox Templates

.PHONY: clean-autoloads
clean-autoloads: 
	rm -f $(LOADDEFS)

.PHONY: autoloads
autoloads: 
	$(EMACS) $(EMACSFLAGS) $(addprefix -L ,$(LOADPATH)) --eval '(setq generated-autoload-file "$(abspath $(LOADDEFS))")' -f batch-update-autoloads $(abspath $(LOADDIRS))


misc: 
	@

%.elc: %.el
	$(EMACS) $(EMACSFLAGS) $(addprefix -L ,$(LOADPATH)) --eval '(progn $(call require, $(PRELOADS)))' -f batch-byte-compile $^

.PHONY: lisp
lisp: $(addsuffix c, $(lisp_LISP))

.PHONY: cedet
cedet: $(addsuffix c, $(cedet_LISP))

.PHONY:toolbox
toolbox:
	$(MAKE) -C toolbox

.PHONY:Templates
Templates:
	$(MAKE) -C templates

tags: 
	$(MAKE) -C toolbox/ $(MFLAGS) $@
	$(MAKE) -C templates/ $(MFLAGS) $@


clean:
	rm -f *.elc

.PHONY: dist

dist: autoloads
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	cp matlab-load.el $(misc_MISC) $(lisp_LISP) $(cedet_LISP) $(ede_FILES) $(DISTDIR)
	$(MAKE) -C toolbox $(MFLAGS) DISTDIR=$(DISTDIR)/toolbox dist
	$(MAKE) -C templates $(MFLAGS) DISTDIR=$(DISTDIR)/templates dist
	$(MAKE) -C tests $(MFLAGS) DISTDIR=$(DISTDIR)/tests dist
	tar -cvzf $(DISTDIR).tar.gz $(DISTDIR)
	rm -rf $(DISTDIR)

# End of Makefile

=== templates/Makefile ===
# Automatically Generated Makefile by EDE.
# For use with: make
# Relative File Name: templates/Makefile
#
# DO NOT MODIFY THIS FILE OR YOUR CHANGES MAY BE LOST.
# EDE is the Emacs Development Environment.
# http://cedet.sourceforge.net/ede.shtml
#

top=../
ede_FILES=Project.ede Makefile

templates_MISC=srecode-matlab.srt
VERSION=4.0
DISTDIR=$(top)matlab-emacs-$(VERSION)/templates



all: templates

templates: 
	@

tags: 

.PHONY: dist

dist:
	mkdir $(DISTDIR)
	cp $(templates_MISC) $(ede_FILES) $(DISTDIR)

# End of Makefile

=== tests/Makefile ===
# Automatically Generated Makefile by EDE.
# For use with: make
# Relative File Name: tests/Makefile
#
# DO NOT MODIFY THIS FILE OR YOUR CHANGES MAY BE LOST.
# EDE is the Emacs Development Environment.
# http://cedet.sourceforge.net/ede.shtml
#

top=../
ede_FILES=Project.ede Makefile

tests_LISP=mstest.el metest.el
EMACS=emacs
EMACSFLAGS=-batch --no-site-file --eval '(setq debug-on-error t)'
require=$(foreach r,$(1),(require (quote $(r))))
LOADPATH= ../
matlab_MISC=buggy.m dbtester.m expressions.m indents.m mclass.m mpclass.m stringtest.m syntaxerr.m cellscript.m fontlock.m testeeval.m
VERSION=4.0
DISTDIR=$(top)matlab-emacs-$(VERSION)/tests


ifdef OS # No MATLAB shell tests on windows.
all: tests matlab modetests
else # The OS variable is only defined on windows, so linux systems can run shell tests.
all: tests matlab modetests shelltests
endif

.PHONY: modetests
modetests: metest.elc
	$(EMACS) -batch -q -l metest.elc -e "metest-all-syntax-tests"

.PHONY: shelltests
shelltests: mstest.elc
	$(EMACS) -batch -q -l mstest.elc -e "mstest-run-all-tests"

%.elc: %.el
	$(EMACS) $(EMACSFLAGS) $(addprefix -L ,$(LOADPATH)) --eval '(progn $(call require, $(PRELOADS)))' -f batch-byte-compile $^

.PHONY: tests
tests: $(addsuffix c, $(tests_LISP))

matlab: 
	@

tags: 


clean:
	rm -f *.elc

.PHONY: dist

dist:
	mkdir $(DISTDIR)
	cp $(tests_LISP) $(matlab_MISC) $(ede_FILES) $(DISTDIR)

# End of Makefile

=== debian/changelog ===
matlab-mode (0~20240418.git0059543-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump S-V to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 23 Apr 2024 13:11:12 +0200

matlab-mode (0~20230725.gitf66183a-1) unstable; urgency=medium

  * Initial release. (Closes: #902739)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Mar 2024 15:17:56 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	# Don’t run upstream build system

execute_after_dh_fixperms:
	# Fix spurious executable bit
	chmod -x debian/elpa-matlab-mode/usr/share/emacs/site-lisp/elpa-src/matlab-mode-*/company-matlab-shell.el

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd.git%h" \
https://git.code.sf.net/p/matlab-emacs/src \
HEAD debian uupdate

## matlab-mode 0~20240521.gita78b368

=== toolbox/Makefile ===
# Automatically Generated Makefile by EDE.
# For use with: make
# Relative File Name: toolbox/Makefile
#
# DO NOT MODIFY THIS FILE OR YOUR CHANGES MAY BE LOST.
# EDE is the Emacs Development Environment.
# http://cedet.sourceforge.net/ede.shtml
#

top=../
ede_FILES=Project.ede Makefile

matlab_MISC=emacsinit.m opentoline.m emacsdocomplete.m dbhotlink.m emacsnetshell.m emacsrunregion.m +emacs/@EmacsServer/EmacsServer.m
VERSION=4.0
DISTDIR=$(top)matlab-emacs-$(VERSION)/toolbox



all: matlab

matlab: 
	@

tags: 

.PHONY: dist

dist:
	mkdir $(DISTDIR)
	cp $(matlab_MISC) $(ede_FILES) $(DISTDIR)

# End of Makefile

=== debian/changelog ===
matlab-mode (0~20240521.gita78b368-1) unstable; urgency=medium

  * New upstream snapshot

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2024 11:51:29 +0200

=== debian/control ===
Source: matlab-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Vcs-Browser: https://salsa.debian.org/emacsen-team/matlab-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/matlab-mode.git
Homepage: https://matlab-emacs.sourceforge.net/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa

Package: elpa-matlab-mode
Architecture: all
Depends: ${misc:Depends},
         ${elpa:Depends}
Enhances: emacs
Description: MATLAB/Emacs integration
 The MATLAB/Emacs support files include the following features:
  - matlab-mode - An Emacs major-mode for editing MATLAB programs
     - Syntax highlighting
     - Smart Indentation engine
     - Smart auto-fill for comments and code
  - matlab-shell - Run MATLAB inside Emacs on Unix like operating systems
     - Syntax highlighting
     - Persistent command history
     - Command completion
     - Run code from matlab-mode in matlab-shell
     - GUD support for debugging programs files
  - mlint-mode
     - Use mlint to identify and highlight warnings and errors from mlint
     - Auto-fix some common errors
     - Nested function variable highlighting.
  - CEDET support for parsing and smart completion
  - Code templates
  - tlc-mode (target language compiler)

## matlab-mode 0~20240906.git0772bc2

=== Makefile ===
# Copyright 2024 The MathWorks, Inc.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/.
#
# Usage
# -----
#   make                             - build lisp and run tests in ./tests
#   make MATLAB_EXE=/path/to/matlab  - build lisp and run tests using specified MATLAB executable
#   make lisp                        - build lisp without running the tests.
#   make tests                       - run the tests (will rebuild lisp if needed)

EMACS = emacs
EMACSFLAGS = --batch -Q --eval "(setq debug-on-error t)"

LOADPATH = ./
LOADDEFS = matlab-load.el
LOADDIRS = .

EL_SRCS  = $(filter-out $(LOADDEFS), $(wildcard *.el))
ELC = $(EL_SRCS:.el=.elc)

GOALS := $(if $(MAKECMDGOALS),$(MAKECMDGOALS),all)

.PHONY: all
all: lisp tests

.PHONY: lisp
lisp: $(LOADDEFS) $(ELC)

HAVE_OLD_EMACS = $(shell $(EMACS) --batch -Q --eval \
		   "(when (<= emacs-major-version 28) (message \"have-old-emacs\"))" 2>&1)
ifeq ($(filter have-old-emacs,$(HAVE_OLD_EMACS)),have-old-emacs)
    BATCH_UPDATE = --eval '(setq generated-autoload-file "$(abspath $(LOADDEFS))")' \
		   -f batch-update-autoloads $(abspath $(LOADDIRS))
else
    BATCH_UPDATE = -f loaddefs-generate-batch $(abspath $(LOADDEFS)) $(abspath $(LOADDIRS))
endif

$(LOADDEFS): | .clean.tstamp
	$(EMACS) $(EMACSFLAGS) $(addprefix -L ,$(LOADPATH)) $(BATCH_UPDATE)

%.elc: %.el | $(LOADDEFS)
	$(EMACS) $(EMACSFLAGS) $(addprefix -L ,$(LOADPATH)) -f batch-byte-compile $<

$(ELC): $(LOADDEFS) $(MAKEFILE_LIST) | .clean.tstamp

ifneq ($(filter tests all, $(GOALS)),)
    # Running tests. Check for existence of MATLAB because it's used by tests/Makefile for testing
    # matlab-shell.
    MATLAB_EXE = matlab
    ifeq ($(shell which $(MATLAB_EXE)),)
        $(warning $(MATLAB_EXE) not found. Consider running: make MATLAB_EXE=/path/to/matlab)
    endif
    export MATLAB_PROG_SETUP = \
        "--eval=(setq matlab-shell-command \"$(MATLAB_EXE)\")" \
	"--eval=(setq matlab-shell-command-switches '(\"-nodesktop\" \"-nosplash\" \"-noFigureWindows\"))"
endif

.PHONY: tests
tests: .tests.tstamp

.tests.tstamp: $(LOADDEFS) $(ELC)
	$(MAKE) -C tests
	@touch $@

# When switching emacs versions, we need to clean generated files
.clean.tstamp:
	$(RM) *.elc
	$(RM) $(LOADDEFS)
	@touch $@

.PHONY: clean
clean:
	$(RM) $(LOADDEFS)
	$(RM) *.elc
	$(RM) *.tstamp
	$(RM) -r .tstamp

#--------------------------------#
# Test various versions of Emacs #
#--------------------------------#

# make check-emacs-versions
#
# This requires that you define EMACS27, etc. in the environmenbt or specify them when invoking make.

SUPPORTED_EMACS_VERSIONS = 27 28 29

define CHECK_EMACS_VER
  ifeq ($$(shell which $(EMACS${1})),)
    $$(error 'EMACS${1}' is not defined. $$(HELP))
  endif
endef

ifeq ($(MAKECMDGOALS),check-emacs-versions)
    $(foreach V,$(SUPPORTED_EMACS_VERSIONS),$(eval $(call CHECK_EMACS_VER,$(V))))
endif

#---
#  Generate test targets
define TEST_SUPPORTED_VER_TARGET
.tstamp/emacs$(1).tstamp: $(EL_SRCS) $$(MAKEFILE_LIST)
	@echo "Testing build with EMACS$(1)"
	$(MAKE) clean
	if [ ! -d ".tstamp" ]; then mkdir .tstamp; fi
	$(MAKE) EMACS=$(EMACS$(1))
	@touch $$@

endef

$(foreach V,$(SUPPORTED_EMACS_VERSIONS),$(eval $(call TEST_SUPPORTED_VER_TARGET,$(V))))

#---
# Create dependencies to avoid testing different versions of emacs at the same time. For example:
#    .tstamp/emacs29.tstamp: .tstamp/emacs28.tstamp
define CREATE_VER_DEPEND
.tstamp/emacs$(1).tstamp: .tstamp/emacs$(shell echo $$(($(V) - 1))).tstamp

endef

ALL_BUT_FIRST_VER = $(wordlist 2,$(words $(SUPPORTED_EMACS_VERSIONS)),$(SUPPORTED_EMACS_VERSIONS))

$(foreach V,$(ALL_BUT_FIRST_VER),$(eval $(call CREATE_VER_DEPEND,$(V))))

#---
CHECK_TARGETS = $(foreach V,$(SUPPORTED_EMACS_VERSIONS),.tstamp/emacs$(V).tstamp)

.PHONY: check-emacs-versions
check-emacs-versions: $(CHECK_TARGETS)

# [eof] Makefile

=== tests/Makefile ===
# Copyright 2024 The MathWorks, Inc.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/.
#

EMACS = emacs
EMACSFLAGS = --batch -Q --eval '(setq debug-on-error t)'

MATLAB_FILES = $(wildcard *.m)

TEST_TARGETS = modetests

ifndef OS # OS is defined on Windows (e.g. OS=Windows_NT) and there's no MATLAB shell tests on windows.
   TEST_TARGETS += shelltests
endif

CLEAN_MATLABPATH = env MATLABPATH=

.PHONY: all
all: $(TEST_TARGETS)

.PHONY: modetests
modetests: metest.el
	$(EMACS) $(EMACSFLAGS) -l metest.el -e "metest-all-syntax-tests"

.PHONY: shelltests
shelltests: mstest.el
	$(CLEAN_MATLABPATH) $(EMACS) $(EMACSFLAGS) -l mstest.el $(MATLAB_PROG_SETUP) -e "mstest-run-all-tests"

# [eof] tests/Makefile

# LocalWords:  EMACSFLAGS setq ifneq modetests shelltests metest mstest eof

=== debian/changelog ===
matlab-mode (0~20240906.git0772bc2-1) unstable; urgency=medium

  * New upstream snapshot
  * Project moved to GitHub
  * d/copyright: reflect upstream changes
  * Ship example org-mode file

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Sep 2024 12:19:15 +0200

matlab-mode (0~20240521.gita78b368-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:46:07 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/matlab-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/matlab-mode.git
-Homepage: https://matlab-emacs.sourceforge.net/
+Homepage: https://github.com/MathWorks/Emacs-MATLAB-Mode
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd.git%h" \
https://github.com/mathworks/Emacs-MATLAB-Mode \
HEAD

## matlab-mode 6.3

=== debian/changelog ===
matlab-mode (6.3-1) unstable; urgency=medium

  * d/watch: now follow released tarballs at elpa.gnu.org
  * New upstream version 6.3
  * d/control, d/copyright: switch to homepage at GNU ELPA
  * d/copyright: reflect upstream changes
  * Drop examples, they are not in the tarball

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Dec 2024 22:08:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/matlab-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/matlab-mode.git
-Homepage: https://github.com/MathWorks/Emacs-MATLAB-Mode
+Homepage: https://elpa.gnu.org/packages/matlab-mode.html
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,repack,compression=xz \
     https://elpa.gnu.org/packages/@PACKAGE@.html @PACKAGE@-@ANY_VERSION@\.tar

## matlab-mode 7.1.1

=== debian/changelog ===
matlab-mode (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
  * d/copyright: reflect upstream changes
  * Update long package description with new features

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Oct 2025 01:20:11 +0200

matlab-mode (6.3-2) unstable; urgency=medium

  * d/watch: bugfix and upgrade to format version 5
  * Drop “Rules-Requires-Root: no”, which is now the default
  * Bump S-V to 4.7.2

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2025 20:24:51 +0200

## matlab-mode 7.1.2

=== debian/changelog ===
matlab-mode (7.1.2-1) unstable; urgency=medium

  * New upstream version 7.1.2

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 23 Oct 2025 20:27:03 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	# Don’t run upstream build system

override_dh_installexamples:
	dh_installexamples -X.gitignore

=== debian/watch ===
Version: 5

Source: https://elpa.gnu.org/packages/matlab-mode.html
Matching-Pattern: matlab-mode@ANY_VERSION@\.tar
Compression: xz
Pgpsigurlmangle: s/$/.sig/
Repack: yes

## matlab-mode 7.2.1

=== debian/changelog ===
matlab-mode (7.2.1-1) unstable; urgency=medium

  * New upstream version 7.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 08 Nov 2025 15:20:40 +0100

=== debian/control ===
Source: matlab-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Vcs-Browser: https://salsa.debian.org/emacsen-team/matlab-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/matlab-mode.git
Homepage: https://elpa.gnu.org/packages/matlab-mode.html
Testsuite: autopkgtest-pkg-elpa

Package: elpa-matlab-mode
Architecture: all
Depends: ${misc:Depends},
         ${elpa:Depends}
Enhances: emacs
Description: MATLAB/Emacs integration
 The MATLAB/Emacs support files include the following features:
  - matlab-ts-mode, matlab-mode - Emacs major-modes for editing MATLAB programs
     - Syntax highlighting
     - Smart Indentation engine
     - Smart auto-fill for comments and code
     - Code navigation
     - Code sections support
  - matlab-shell - Run MATLAB inside Emacs
     - Syntax highlighting
     - Persistent command history
     - Command completion
     - Run code from matlab-mode in matlab-shell
     - GUD support for debugging programs files
     - Support for remote MATLAB sessions
  - mlint-mode
     - Use mlint to identify and highlight warnings and errors from mlint
     - Auto-fix some common errors
     - Nested function variable highlighting.
  - Code templates
  - Integration with Org-mode
  - tlc-mode for editing Target Language Compiler (.tlc) files

## matlab-mode 7.4.1

=== debian/changelog ===
matlab-mode (7.4.1-1) unstable; urgency=medium

  * New upstream version 7.4.1
  * Add elpa-company to Recommends

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 23 Dec 2025 10:36:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${elpa:Depends}
+Recommends: elpa-company
 Enhances: emacs
 Description: MATLAB/Emacs integration
  The MATLAB/Emacs support files include the following features:

## matlab-mode 7.4.2

=== debian/changelog ===
matlab-mode (7.4.2-1) unstable; urgency=medium

  * New upstream version 7.4.2
  * Drop “Priority: optional”, which is now the default
  * Bump Standards-Version to 4.7.3

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 14 Jan 2026 20:44:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: matlab-mode
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/matlab-mode
